/*
** Module   : MenuChuiImpl.java
** Abstract : CHUI client implementation of Menu.
**
** Copyright (c) 2005-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- -----------------------------Description-----------------------------
** 001 VIG 20150116          Created initial version.
*/
package com.goldencode.p2j.ui.client.chui;

import com.goldencode.p2j.ui.MenuItemConfig;
import com.goldencode.p2j.ui.WidgetConfig;
import com.goldencode.p2j.ui.WidgetId;
import com.goldencode.p2j.ui.client.Dimension;
import com.goldencode.p2j.ui.client.MenuItem;
import com.goldencode.p2j.ui.client.chui.driver.ChuiOutputManager;

/**
 * <code>Menu</code> CHUI client implementation class. 
 */
public class MenuItemChuiImpl
extends MenuItem<ChuiOutputManager>
{
   /**
    * Special constructor used to restore component using given configuration.
    * 
    * @param   id
    *          The widget's ID.
    * @param   cfg
    *          Configuration data.
    */
   public MenuItemChuiImpl(WidgetId id, WidgetConfig cfg)
   {
      super(id, (MenuItemConfig) cfg);
   }

   /**
    * Draw the peer container. The methods calls the draw() method for
    * ScrollPane instance for the peer container. In addition the required
    * clipping rectangle is calculated for ChildFrame containers because they
    * must be rendered inside the parent container.
    * <p>
    * Drawing for the redirected terminal differs. Labels/headers are drawn
    * only once per page, instead of the usual once per frame.
    * 
    * @param   origin
    *          The coordinate of the upper-left corner for peer container in
    *          character units.
    * @param   size
    *          The size of the peer container in character units.
    */
   @Override
   public void draw()
   {
   }

   @Override
   public Dimension dimension()
   {
      // TODO Auto-generated method stub
      return null;
   }

   @Override
   public double height()
   {
      // TODO Auto-generated method stub
      return 0;
   }

   @Override
   public Dimension minimumSize()
   {
      // TODO Auto-generated method stub
      return null;
   }

   @Override
   public double width()
   {
      // safe, comparison of scaled doubles
//      boolean max = (config.autoResize || config.widthChars < 1);
//      return max ? ((textLabel().length() + 2)) : config.widthChars;
      return 0;
   }
}
